Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision 53cf669565d119071be47e3aea06357a6e6b9fc9)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision c994f8faeb962dd4688570a01c886363faa89d8b)
@@ -83,4 +83,5 @@
     # Didn't find local config, load the default 
     import sans.guiframe.config as config
+custom_config = None
 try:
     path = PATH_APP
@@ -118,5 +119,12 @@
     DEFAULT_PERSPECTIVE = custom_config.DEFAULT_PERSPECTIVE
     CLEANUP_PLOT = custom_config.CLEANUP_PLOT
+    # custom open_path
+    open_folder = custom_config.DEFAULT_OPEN_FOLDER
+    if open_folder != None and os.path.isdir(open_folder):
+        DEFAULT_OPEN_FOLDER = os.path.abspath(open_folder)
+    else:
+        DEFAULT_OPEN_FOLDER = PATH_APP
 except:
+    raise
     DATALOADER_SHOW = True
     TOOLBAR_SHOW = True
@@ -129,4 +137,5 @@
     DEFAULT_PERSPECTIVE = None
     CLEANUP_PLOT = False
+    DEFAULT_OPEN_FOLDER = PATH_APP
 
 DEFAULT_STYLE = config.DEFAULT_STYLE
@@ -238,6 +247,5 @@
 
         # Default locations
-        self._default_save_location = os.getcwd()        
-        
+        self._default_save_location = DEFAULT_OPEN_FOLDER       
         # Welcome panel
         self.defaultPanel = None
@@ -1564,5 +1572,5 @@
             error_message += str(sys.exc_value) + "\n"
             print error_message
-           
+        print "_default_save_location", self._default_save_location  
     def load_folder(self, path):
         """
Index: sansguiframe/src/sans/guiframe/startup_configuration.py
===================================================================
--- sansguiframe/src/sans/guiframe/startup_configuration.py	(revision 8c347a61193367bd8a75b5a9949e34a45f6b9385)
+++ sansguiframe/src/sans/guiframe/startup_configuration.py	(revision c994f8faeb962dd4688570a01c886363faa89d8b)
@@ -27,5 +27,6 @@
                    'WELCOME_PANEL_SHOW':False,
                    'CLEANUP_PLOT':False,
-                   'DEFAULT_PERSPECTIVE':'Fitting'}
+                   'DEFAULT_PERSPECTIVE':'Fitting',
+                   'DEFAULT_OPEN_FOLDER': None}
 try:
     CURRENT_STRINGS = {'GUIFRAME_WIDTH':CURRENT.GUIFRAME_WIDTH,
@@ -38,5 +39,6 @@
                        'WELCOME_PANEL_SHOW':CURRENT.WELCOME_PANEL_SHOW,
                        'CLEANUP_PLOT':CURRENT.CLEANUP_PLOT,
-                       'DEFAULT_PERSPECTIVE':CURRENT.DEFAULT_PERSPECTIVE}
+                       'DEFAULT_PERSPECTIVE':CURRENT.DEFAULT_PERSPECTIVE,
+                       'DEFAULT_OPEN_FOLDER':CURRENT.DEFAULT_OPEN_FOLDER}
 except:
     CURRENT_STRINGS = DEFAULT_STRINGS
@@ -68,5 +70,5 @@
         self.SetWindowVariant(variant=FONT_VARIANT)
         self.current_string = copy.deepcopy(CURRENT_STRINGS)
-        self.return_string = {}
+        self.return_string = copy.deepcopy(DEFAULT_STRINGS)
         # build layout
         panel = wx.Panel(self, -1)
@@ -160,5 +162,12 @@
                                         self.parent.cleanup_plots
             perspective = self.parent.get_current_perspective()
-            self.current_string['DEFAULT_PERSPECTIVE'] = str(perspective.sub_menu)
+            self.current_string['DEFAULT_PERSPECTIVE'] =\
+                                            str(perspective.sub_menu)
+            location = ''
+            temp = self.parent._default_save_location.split("\\")
+            for strings in temp:
+                location += (strings + "/")
+            self.current_string['DEFAULT_OPEN_FOLDER'] = location
+                        #self.parent._default_save_location.ascii_letters
             
         except:
@@ -199,6 +208,7 @@
         out_f.write("#Application appearance custom configuration\n" )
         for key, item in strings.iteritems():
-            if key == 'DEFAULT_PERSPECTIVE':
-                out_f.write("%s = '%s'\n" % (key,str(item)))
+            if (key == 'DEFAULT_PERSPECTIVE') or \
+                (key == 'DEFAULT_OPEN_FOLDER' and item != None):
+                out_f.write("%s = \"%s\"\n" % (key,str(item)))
             else:
                 out_f.write("%s = %s\n" % (key,str(item)))
